Vector API
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the [https://www.freecadweb.org/api autogenerated API documentation], or generate the documentation yourself, see Source documentation.
Vectors are used everywhere in FreeCAD.
Example:
v=FreeCAD.Vector()
v=FreeCAD.Vector(1,0,0)
v=FreeCAD.Base.Vector()
v2 = FreeCAD.Vector(3,2,-5)
v3 = v.add(v2)
print v3.Length
{{APIProperty|Length|returns the length of the vector.}}
{{APIFunction|add|Vector|adds another vector to this one.|vector}}
{{APIFunction|cross|Vector|the crossproduct between this vector and another.|vector}}
{{APIFunction|distanceToLine|Vector1,Vector2|the distance between the vector and a line through Vector1 in direction Vector2.|float}}
{{APIFunction|distanceToPoint|Vector|the distance between this vector and another.|float}}
{{APIFunction|distanceToLineSegment|Vector1,Vector2|a vector to the closest point on a line segment from Vector1 to Vector2.|Vector}}
{{APIFunction|distanceToPlane|Vector1,Vector2|the distance between the vector and a plane defined by a point and a normal.|float}}
{{APIFunction|dot|Vector|the dot product between 2 vectors.|float}}
{{APIFunction|getAngle|Vector|the angle in radians between this vector and another.|float}}
{{APIFunction|isEqual|Vector2,tolerance|Checks if the distance between the points represented by this Vector and Vector2 is less than or equal to the given tolerance.|True/False}}
{{APIFunction|isNormal|Vector2,tolerance|Checks if this Vector is normal to Vector2 within the tolerance.|True/False}}
{{APIFunction|isOnLineSegment|Vector1,Vector2|Checks if this vector is on the line segment generated by Vector1 and Vector2.|Vector}}
{{APIFunction|isParallel|Vector2,tolerance|Checks if this Vector is parallel to Vector2 within the tolerance.|True/False}}
{{APIFunction|multiply|Float|multiplies (uniform scale) a vector by the given factor.|nothing}}
{{APIFunction|negative|Vector|Returns the negative (opposite) of this vector.|Vector}}
{{APIFunction|normalize| |normalizes a vector (sets its length to 1.0).|nothing}}
{{APIFunction|projectToLine|Vector1,Vector2|projects the vector on a line through Vector1 in direction Vector2.|nothing}}
{{APIFunction|projectToPlane|Vector1,Vector2|projects the vector on a plane defined by a point (Vector1) and a normal (Vector2).|nothing}}
{{APIFunction|scale|Float,Float,Float|Same as multiply but lets specify different values for x, y and z directions. (non-uniform scale)|nothing}}
{{APIFunction|sub|Vector|subtracts another vector from this one.|vector}}
{{APIProperty|x|the x coordinate of a vector.}}
{{APIProperty|y|the y coordinate of a vector.}}
{{APIProperty|z|the z coordinate of a vector.}}
⏵ documentation index > API > Poweruser Documentation > Vector API
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Vector_API.md